Sync
GET
/sync
const url = 'https://example.com/sync';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/sync \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
SyncResponse
object
matches
required
Matches
Array<object>
MatchOutobject
matched_at
required
Matched At
string format: date-time
mutual_count
required
Mutual Count
integer
my_matched_indices
required
My Matched Indices
Array<integer>
other
required
pair_id
required
Pair Id
string format: uuid
work
required
Work
Array<object>
WorkItemobject
elements
required
Elements
Array<string>
own_token
required
Own Token
string
pair_id
required
Pair Id
string format: uuid
Examplegenerated
{ "matches": [ { "matched_at": "2026-04-15T12:00:00Z", "mutual_count": 1, "my_matched_indices": [ 1 ], "other": { "age": 1, "gender": "example", "username": "example" }, "pair_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ], "work": [ { "elements": [ "example" ], "own_token": "example", "pair_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]}